body {
  background-color: #fff;
  font-weight: normal;
  display: flex;
  justify-content: center;
  padding: 100px 0;
}

* {
  font-family: 'SuisseIntl', 'Lato';
}

.wechat-directPage {
  width: 300px;
  margin: 0 auto;
  padding: 50px 0
}

.wechat-directPage p {
  font-size: 20px;
  padding: 30px 0;
  text-align: center;
}

.storelogo {
  width: 80%;
  height: 80%;
  margin: 0 auto;
  text-align: center;
}

.directPage-b {
  width: 485px;
  text-align: center;
}

.logo-con {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.ms-logo,
#logowrap {
  display: flex;
  width: 250px;
  height: 105px;
  justify-content: center;
  align-items: center;
  border-radius: 32.231px;
  border: 0.967px solid #EFEFEF;
  background: #FFF;
  box-shadow: 0 1.934px 7.736px 0 rgba(0, 0, 0, 0.15);
  box-sizing: border-box;
}

.ms-logo {
  padding: 24px 28px;
}

#logowrap {
  padding: 15px;
  margin-left: -15px;
}

.msLogo,
.directLogo {
  width: 100%;
  height: 100%;
  object-fit: contain;
  display: block;
}

.elite-member-con {
  margin: 60px 0;
}

.level-tag {
  display: inline-block;
  padding: 0 10px;
  font-family: "PP Nikkei Pacific";
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  height: 24px;
  line-height: 23px;
  color: #fff;
  border-radius: 6.429px;
  background: linear-gradient(78deg, #171615 0.49%, #A07B42 100.49%);
}

.earn-points {
  margin-top: 12px;
  color: #000;
  font-family: "Suisse Neue";
  font-size: 32px;
  font-style: normal;
  font-weight: 300;
  line-height: 150%;
}

.earn-points .old-point {
  color: #7F7F7F;
  text-decoration-line: line-through;
}

.redirect-copy,
.merchant-copy {
  color: #000;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 150%;
}

.merchant-copy {
  margin-top: 8px;
}

.redirect-copy {
  margin: 40px 0;
}

.tip-box {
  margin: 0 auto;
  display: flex;
  width: 375px;
  padding: 20px;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  background: #F8F7F6;
}

.tip-box .title,
.tip-box .desc {
  font-size: 12px;
  font-weight: 400;
  text-align: center;
}

img.directLogo:not([src]) {
  opacity: 0;
}

.directPage-b .comeBack {
  position: relative;
  font-size: 12px;
  margin-top: 100px;
  padding: 0;
}

.directPage-b .comeBack::before {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  width: 20%;
  left: 40%;
}

.directPage-b .comeBack a {
  color: #1c1c1c;
}

@media(max-width:768px) {
  body {
    padding: 100px 20px;
    margin: 0;
  }

  .directPage-b {
    width: 100%;
    max-width: 390px;
  }

  .ms-logo,
  #logowrap {
    width: calc((100% + 10px) / 2);
    height: 85px;
  }

  .ms-logo {
    padding: 22px 24px;
  }

  #logowrap {
    padding: 12px;
    margin-left: -10px;
  }

  .earn-points {
    font-size: 28px;
  }

  .tip-box {
    width: fit-content;
  }

  .tip-box .title {
    font-size: 14px;
    font-weight: 300;
  }
}